# $Revision: 1.48 $, $Date: 2004/09/24 07:28:16 $
# TODO: fix amd64 build and 64-bit pointer handling
#
Summary:	Motif-based BDF, Linux console (PSF, CP, and FNT) font editor
Summary(pl):	Bazujcy na Motifie edytor fontw BDF, linuksowej konsoli (PSF, CP, i FNT)
Name:		xmbdfed
Version:	4.5
Release:	5
License:	distributable
Group:		X11/Applications
Source0:	ftp://crl.nmsu.edu/CLR/multiling/General/%{name}-%{version}.tar.gz
# Source0-md5:	8420d39931a0674784f3fd0c0f1f9d6a
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-include.patch
BuildRequires:	XFree86-devel
BuildRequires:	freetype1-devel
BuildRequires:	motif-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XmBDFEditor is a Motif-based BDF font editor with the following
features:
  - Multiple fonts can be loaded from the command line.
  - Multiple fonts can be open at the same time.
  - Cutting and pasting glyphs between fonts.
  - Multiple glyph bitmap editors can be open at the same time.
  - Cutting and pasting between glyph bitmap editors.
  - Export of XBM files from glyph bitmap editors.
  - Automatic correction of certain metrics when a font is loaded.
  - Generation of XLFD font names for fonts without XLFD names.
  - Update an XLFD font name from the font properties.
  - Update the font properties from an XLFD font name.
  - Font property editor.
  - Font comment editor.
  - Supports unencoded glyphs (ENCODING of -1).
  - Display of glyph encodings in octal, decimal, or hex.
  - Builtin on-line help.
  - Imports PK/GF fonts.
  - Imports HBF (Han Bitmap Font) fonts.
  - Imports Linux console fonts (PSF, CP, and FNT).
  - Imports Sun console fonts (vfont format).
  - Imports fonts from the X server.
  - Imports Windows FON/FNT fonts.
  - Imports TrueType fonts and collections.
  - Exports PSF fonts.
  - Exports HEX fonts.
  - Edits two and four bits per pixel gray scale fonts.

%description -l pl
XmBDFEditor jest bazujcym na Motifie BDF edytorem fontw z
ulepszeniami:
  - Kilka fontw rwnoczenie moe by zaadowanych z lini komend.
  - Kilka fontw moe by otwartych rwnoczenie.
  - Wycinanie i wklejanie glyphsw pomidzy fontami.
  - Kilka edytorw glyph bitmap moe by otwartych rwnoczenie.
  - Wycinanie i wklejanie pomidzy edytorami glyph bitmap.
  - Automatyczna korekcja miar podczas adowania fontu.
  - Generacja nazw XLFD dla fontw bez takich nazw.
  - Aktualizacja nazw fontw XLFD w waciwociach fontu.
  - Aktualizacja waciwoci fontu na podstawie nazwy fontu XLFD.
  - Edytor waciwoci fontw.
  - Edytor komentarzy fontw.
  - Wsparcie dla niezakodowanych glyphsw (KODOWANIE z -1).
  - Wywietlanie kodowania glyphw semkowo, decymalnie lub
    heksadecymalnie.
  - Wbudowana pomoc.
  - Importowanie fontw PK/GF.
  - Importowanie fontw HBF (Han Bitmap Font).
  - Importowanie Linuksowych fontw konsolowych (PSF, CP, i FNT).
  - Importowanie fontw konsolowych Suna (format vfont).
  - Importowanie fontw z X serwera.
  - Importowanie fontw Windows FON/FNT.
  - Importowanie fontw TrueType i ich kolekcji.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	HBFDEFS="-Dunix -DIN_MEMORY -DGUNZIP_CMD=\"/bin/gunzip -c\"" \
	INCS="-I/usr/X11R6/include -I/usr/include/freetype" \
	LIBS="-L/usr/X11R6/%{_lib} -lXm -lXpm -lXmu -lXt -lX11 -lSM -lICE -lttf" \
	FTYPE_DEFS="-DHAVE_FREETYPE" \
	CFLAGS="%{rpmcflags} -Wall" \
	CC=%{__cc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README COPYRIGHTS
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/xmbdfed.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmbdfed.spec,v $
Revision 1.48  2004/09/24 07:28:16  ankry
- hopefully fixed build on amd64

Revision 1.47  2004/09/24 06:13:17  ankry
- applkndir -> desktopdir, added TODO, rel. 5

Revision 1.46  2004/09/23 17:13:31  ankry
- rel. 4

Revision 1.45  2004/09/19 14:58:50  gozda
- Corrected summary(pl).

Revision 1.44  2003/08/18 08:09:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.43  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.42  2003/05/25 06:28:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.40  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.39  2002/11/21 20:40:42  ankry
- added icon based on Interfacebuilder.App-fontmanager_nib.xpm from
  http://www.linuks.mine.nu/icons/one/openstepicons-1.1.tar.gz
- new %%doc
- release 3

Revision 1.38  2002/07/03 09:24:07  wolf
- spelling

Revision 1.37  2002/04/24 22:48:29  marcus
- rel.2

Revision 1.36  2002/04/16 16:44:04  mmazur
- back to the old freetype1

Revision 1.35  2002/04/13 20:48:27  mmazur
- changed freetype1 header files directory... so needed to fix a few
packages; rel++; STBR
- NOTE: this is needed for mozilla to build correctly (not to conflict
with freetype1)
- NOTE2: not one binary file was altered since the previous release

Revision 1.34  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/12/01 17:33:08  kloczek
- updated to 4.5.

Revision 1.31  2001/11/10 16:45:32  jajcus
- s/Distibutable/distributable/ in License

Revision 1.30  2001/09/05 23:41:59  kloczek
- fix in %install.

Revision 1.29  2001/09/05 22:45:00  kloczek
- release 5: move desktop file to Graphics directory.

Revision 1.28  2001/09/05 21:22:12  filon
- added include patch (didn't want to build without it)
- make -> %%{__make}

Revision 1.27  2001/04/30 16:05:32  kloczek
- added using %%{rpmcflags} macro.

Revision 1.26  2001/03/21 00:58:13  kloczek
- release 4: rebuild against freetype1.

Revision 1.25  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.24  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.23  2000/11/12 16:42:27  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.22  2000/11/12 14:09:29  kloczek
- release 3: use new rpm automation.

Revision 1.21  2000/06/12 14:21:02  baggins
- buildrequires motif-devel not lesstif-devel

Revision 1.20  2000/06/01 20:08:57  michuz
- release 2
- %%applnkdir changed

Revision 1.19  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.17  2000/03/26 21:19:37  kloczek
- updated to 4.4,
- updated %description.

Revision 1.16  1999/12/05 05:00:45  kloczek
- updated to 4.3,
- added freetype-devel to BuildRequires and build agains freetype,
- added using %%{_applnkdir} macro.

Revision 1.15  1999/09/05 20:33:55  pius
- added xmbdfed.desktop instead of wmconfig file,
- cosmetics.

Revision 1.14  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.13  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [3.2-4]
- package is FHS 2.0 compliant,
- spec file written by Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>,
  modified by me and Micha Kuratczyk <kura@pld.org.pl>,
- pl translation by Arkadiusz Mikiewicz <misiek@misiek.eu.org>.
